LOSETUP(8)

NAME
losetup - set up and control loop devices

SYNOPSIS
losetup [ -e encryption ] [ -o offset ] loop_device file
losetup [ -d ] loop_device

DESCRIPTION
losetup is used to associate loop devices with regular files or block devices, to detach loop devices and to query the status of a loop device. If only the loop_device argument is given, the status of the corresponding loop device is shown.

OPTIONS

-d  detach the file or device associated with the specified loop device.

-e encryption
    enable data encryption. The following keywords are recognized:

    NONE
        use no encryption (default).
    XOR use a simple XOR encryption.
    DES use DES encryption. DES encryption is only available if the optional DES package has been added to the kernel. DES encryption uses an additional start value that is used to protect passwords against dictionary attacks.

-o offset
    the data start is moved offset bytes into the specified file or device.

FILES
/dev/loop0,/dev/loop1,...   loop devices (major=7)

EXAMPLE
If you are using the loadable module you must have the module loaded first with the command

    # insmod loop.o

The following commands can be used as an example of using the loop device.

    dd if=/dev/zero of=/file bs=1k count=100
    losetup -e des /dev/loop0 /file
    Password:
    Init (up to 16 hex digits):
    mkfs -t ext2 /dev/loop0 100
    mount -t ext2 /dev/loop0 /mnt
     ...
    umount /dev/loop0
    losetup -d /dev/loop0

If you are using the loadable module you may remove the module with the command

    # rmmod loop

RESTRICTION
DES encryption is painfully slow. On the other hand, XOR is terribly weak.

AUTHORS
Original version: Theodore Ts'o <tytso@athena.mit.edu>
Maintained by: Werner Almesberger <almesber@bernina.ethz.ch>
Original DES by: Eric Young <eay@psych.psy.uq.oz.au>
Modularized and updated 28-5-94: Mitch DSouza <m.dsouza@mrc-apu.cam.ac.uk>